> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Products

> Retrieve a paginated list of products based on filters and search query.



## OpenAPI

````yaml get /v1/products
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/products:
    get:
      tags:
        - Products
      summary: Get Products
      description: Retrieve a paginated list of products based on filters and search query.
      operationId: get_products_v1_products_get
      parameters:
        - name: query
          in: query
          required: false
          schema:
            description: Search term to filter products by name or other details.
            type: string
          description: Search term to filter products by name or other details.
        - name: status__in
          in: query
          required: false
          schema:
            description: Filter products by status (comma-separated)
            type: string
          description: Filter products by status (comma-separated)
        - name: product_category__in
          in: query
          required: false
          schema:
            description: Filter products by category (comma-separated)
            type: string
          description: Filter products by category (comma-separated)
        - name: product_subcategory__in
          in: query
          required: false
          schema:
            description: Filter products by subcategory (comma-separated)
            type: string
          description: Filter products by subcategory (comma-separated)
        - name: source__in
          in: query
          required: false
          schema:
            description: Filter products by source (comma-separated)
            type: string
          description: Filter products by source (comma-separated)
        - name: order_by
          in: query
          required: false
          schema:
            description: Order results by specified fields (comma-separated)
            type: string
          description: Order results by specified fields (comma-separated)
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successfully retrieved products
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ProductRead_'
              example:
                items:
                  - external_id: prod_001
                    code: CODE_1001
                    name: Sample Product A
                    description: This is a sample product description.
                    status: PENDING
                    product_category: Physical
                    product_subcategory: General Clothing
                    tax_exempt: false
                    source: BIGCOMMERCE
                    connection_id: conn_12345
                    classification_failed: true
                    id: prod_abc123
                  - external_id: prod_002
                    code: CODE_1002
                    name: Sample Product B
                    status: APPROVED
                    product_category: Services
                    product_subcategory: Professional Training and Seminar Services
                    tax_exempt: false
                    source: STRIPE
                    classification_failed: false
                    id: prod_def456
                total: 2
                page: 1
                size: 50
                pages: 1
        '401':
          description: Unauthenticated request.
          content:
            application/json:
              example:
                detail: The request is missing a valid x-api-key.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              example:
                detail: Entered an incorrect URL.
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - header
                      - x-organization-id
                    msg: Field required
              schema:
                $ref: >-
                  #/components/schemas/backend__src__products__responses__ValidationErrorResponse
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    Page_ProductRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProductRead'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[ProductRead]
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__products__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__products__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    ProductRead:
      properties:
        id:
          type: string
          title: Id
        external_id:
          type: string
          title: External Id
        sku:
          type: array
          items:
            type: string
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        description:
          type: string
        status:
          $ref: '#/components/schemas/ProductStatusEnum'
        product_category:
          type: string
          title: Product Category
          description: |-
            Main category of the product.
                    For example, Physical, Digital, etc. You can
                    retrieve supported categories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
        product_subcategory:
          type: string
          title: Product Subcategory
          description: |-
            Subcategory of the product.
                    For example, General Clothing, UNKNOWN, etc. You can
                    retrieve supported subcategories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
        tax_exempt:
          type: boolean
          title: Tax Exempt
        source:
          $ref: '#/components/schemas/SourceEnum'
        connection_id:
          type: string
        classification_failed:
          type: boolean
      type: object
      required:
        - id
        - external_id
        - sku
        - code
        - name
        - description
        - status
        - product_category
        - product_subcategory
        - tax_exempt
        - source
        - connection_id
        - classification_failed
      title: ProductRead
    backend__src__products__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
    ProductStatusEnum:
      type: string
      enum:
        - APPROVED
        - PARTIALLY_APPROVED
        - PENDING
      title: ProductStatusEnum
    SourceEnum:
      type: string
      enum:
        - BIGCOMMERCE
        - BESTBUY
        - BUNNY
        - CHARGEBEE
        - SHOPIFY
        - STRIPE
        - AMAZON
        - TIKTOK
        - CUSTOM
        - UNKNOWN
        - IMPORT
        - ZUORA
        - APIDECK
        - QUICKBOOKS
        - API
        - APPLE_APP_STORE
        - GOOGLE_APP_STORE
        - WALMART
        - PAYPAL
        - NETSUITE
        - XERO
        - MAXIO
        - RECURLY
        - SALESFORCE
        - ETSY
        - EBAY
        - WIX
        - SQUARESPACE
        - WOOCOMMERCE
        - MAGENTO
        - BILLING_PLATFORM
        - DEEL
        - RIPPLING
        - GUSTO
        - FACEBOOK
        - OTHER
        - ORDWAY
        - INSTAGRAM
        - PINTEREST
        - WAYFAIR
        - WISH
        - POS
        - TARGET
        - NEWEGG
        - GROUPON
        - GOOGLE_EXPRESS
        - NOCNOC
        - MERCADO_LIBRE
        - MODALYST
        - NORDSTROM
        - FAIRE
        - SHOPWARE
        - ZOHO
        - SAGE-INTACCT
        - AIRWALLEX
        - ORB
        - ZENSKAR
        - MICROSOFT_DYNAMICS_365
        - KICKSTARTER
        - INTERNAL_ERP
      title: SourceEnum
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````